/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.teeda.extension.annotation.handler;

import java.util.Map;

import org.seasar.framework.beans.BeanDesc;
import org.seasar.framework.util.StringUtil;
import org.seasar.teeda.extension.ExtensionConstants;

/**
 * @author higa
 *
 */
public class ConstantScopeAnnotationHandler extends
        AbstractScopeAnnotationHandler {

    private static final String REDIRECT_SCOPE_KEY = "REDIRECT_SCOPE";

    public void setupPropertyScopes(BeanDesc beanDesc, Map scopes) {
        if (!beanDesc.hasField(REDIRECT_SCOPE_KEY)) {
            return;
        }
        String s = (String) beanDesc.getFieldValue(REDIRECT_SCOPE_KEY, null);
        String[] array = StringUtil.split(s, ", ");
        for (int i = 0; i < array.length; ++i) {
            scopes.put(array[i], ExtensionConstants.REDIRECT_SCOPE);
        }
    }

}
